/**
 * Helper method to create a typed EVA Endpoint update message
 *
 * @export
 * @template SVC
 * @param {IEndpointAction} params The response action parameters
 * @returns
 */
export function createEndpointAction(params) {
    // Build the final action object
    //
    const action = {
        type: 'ENDPOINT',
        payload: params,
    };
    return action;
}
//# sourceMappingURL=endpoint.js.map