/**
 * Additional configuration needed when creating an action for the store state
 *
 * @export
 * @interface IStateOptions
 */
export interface IStateOptions {
    /**
     * If a custom state key is specified the logic needs to know this.
     * Default behavior is for the state key to be the service name ex. `Core.Login`
     *
     * @type {string}
     */
    stateKey: string;
}
//# sourceMappingURL=options.d.ts.map