import { Interceptor, IResponseInterceptor } from '@springtree/eva-sdk-core-service';
import { Store } from 'redux';
/**
 * This interceptor listens to all service responses for a new application token
 *
 * @export
 * @class AppTokenInterceptor
 */
export declare class ApplicationTokenInterceptor extends Interceptor {
    private store;
    /**
     * Creates an instance of the EvaAvailableServices interceptor
     */
    constructor(store: Store);
    /**
     * The response interceptor implementation.
     * Available as a public property for direct use
     * By returning a fetch Response we will prevent the service call from going out
     *
     * @type {IResponseInterceptor}
     */
    responseInterceptor: IResponseInterceptor;
}
//# sourceMappingURL=application-token-interceptor.d.ts.map