import { ServiceHelpers } from '../eva-sdk-redux-store-builder.js';
import { IEvaServiceState } from './service.js';
/**
 * The entries for the current order state
 *
 * @export
 * @interface IEvaReduxStoreCurrentOrderShape
 */
export interface IEvaReduxStoreCurrentOrderShape {
    /**
     * Once the application transitions to the checkout stage applications
     * should switch to GetOrder based data. The GetOrder call does not trigger
     * recalculations and prevents potential order locks because of this.
     *
     * @type {IEvaServiceState<ServiceHelpers.GetOrderWithStatus>}
     */
    currentOrder: IEvaServiceState<ServiceHelpers.GetOrderWithStatus>;
}
//# sourceMappingURL=current-order.d.ts.map