/**
 * Helper method to create a typed EVA Service response action
 *
 * @export
 * @template SVC
 * @param {ICreateServiceResetAction<SVC>} params The response action parameters
 * @returns
 */
export function createServiceResetAction(params) {
    // Combine all supplied parameters into the action payload
    //
    const payload = {
        state: params.state,
    };
    // Build the final action object
    //
    const action = {
        payload,
        type: `${params.stateKey}:RESET`,
    };
    return action;
}
//# sourceMappingURL=reset.js.map