import { GetOrderWithStatus } from '../helpers/index.js';
import { createServiceReducer } from './service.js';
// Create and combine all the reducers involved with the current order functionality
// Due to it being based on a service helper it is pretty straight forward
//
export const currentOrderReducers = {
    currentOrder: createServiceReducer(GetOrderWithStatus, { stateKey: 'currentOrder' }),
};
//# sourceMappingURL=current-order.js.map