import { GetShoppingCartWithStatus } from '../helpers/get-shopping-cart-with-status.js';
import { createServiceReducer } from './service.js';
// Create and combine all the reducers involved with the shopping cart functionality
// Due to it being based on a service helper it is pretty straight forward
//
export const shoppingCartReducers = {
    shoppingCart: createServiceReducer(GetShoppingCartWithStatus, { stateKey: 'shoppingCart' }),
};
//# sourceMappingURL=shopping-cart.js.map