import { BehaviorSubject } from 'rxjs';
import { AnyAction, Store } from 'redux';
/**
 * Creates an RxJs observable stream for a Redux store
 *
 * @export
 * @template SHAPE
 * @param {Store<SHAPE, any>} store The store to create the observable for
 * @returns BehaviorSubject<SHAPE>
 */
export declare function createStoreObservable<SHAPE>(store: Store<SHAPE, AnyAction>): BehaviorSubject<SHAPE>;
//# sourceMappingURL=store-observable.d.ts.map